# Glitch City Laboratories (2003 - 2020) - Epilogue
This repository contains the tickets, scripts, and documentation for the end of Glitch City Laboratories.

## Installation
`pip install -e .`

## Standalone Epilogue Scripts
#### `deploy_archives`
Run this once the archives have been built to tar them up and scp them to the server.

#### Wiki Data (`wiki` directory)
##### `wiki_pages`
Not a script, just a listing of all the pages in the wiki (as of the 27 July 2020 lockdown). Use this and Special:Export to create an XML dump of wiki pages and place it in the `wiki` directory.

##### `find_pages`
Run this locally (it uses the MediaWiki HTTP API). Finds all pages in categories related to Pokemon generations 1 - 4 that have been edited since 31 March 2020.

#### Forum Data (`forum` directory)
#### `dump_forum_data`
Run this on a server with access to a Glitch City Laboratories database. It will dump the table schemas and data into several .sql files. Place these in the `forum` directory.

#### `create_sqlite_database`
Run this locally, after the `dump_forum_data` script has been run on the Glitch City Laboratories server and the dumps copied to the `forum` directory (same directory as this script). A file called `forum.sqlite` will be generated from the MariaDB dumps. This sqlite database is required for generating the static archive later.

Make sure the `mysql2sqlite` submodule is initialized and install `mawk` for the best results.

## Epilogue Package

## Misc Scripts
### `get_pms.php`
This is installed on Glitch City Laboratories and allows any logged-in user to export their PM inbox into a HTML export.